<?php
//Al ser todos los paralelos A se ha quemado el valor de 1 según el instructivo del SENESCYT
require_once("../config/conexion.php");
require_once("../models/Exportar.php");
$exportar = new Exportar();
switch ($_POST["op"]) {
    case "1":
        header('Content-Type:text/csv; charset-latin1');
        header('Content-Disposition: attachment; filename="Reporte-Estudiantes.csv"');
        $salida = fopen('php://output', 'w');
        fputcsv($salida, array(
            'tipoDocumentoId', 'numeroIdentificacion', 'primerApellido', 'segundoApellido',
            'primerNombre', 'segundoNombre', 'sexoId', 'generoId', 'estadocivilId', 'etniaId',
            'puebloNacionalidadId', 'tipoSangre', 'discapacidad', 'porcentajeDiscapacidad',
            'numCarnetConadis', 'tipoDiscapacidad', 'fechaNacimiento', 'paisNacionalidadId',
            'provinciaNacimientoId','cantonNacimientoId','paisResidenciaId','provinciaResidenciaId',
            'cantonResidenciaId','tipoColegioId','fechaInicioCarrera','fechaMatricula','nivelAcademicoQueCursa',
            'haRepetidoAlMenosUnaMateria','paraleloId','correoElectronico','numeroCelular'
        ));
        $estudiantes = $exportar->ConsultarPersona();
        if (is_array($estudiantes) == true and count($estudiantes) > 0) {
            foreach ($estudiantes as $row) {
                $procedencia = $exportar->ConsultarProcedencia($row["personadbk"]);
                if (is_array($procedencia) == true and count($procedencia) > 0) {
                    foreach ($procedencia as $row1) {                        
                        $pais_codigo=$row1["pais_codigo"];
                        $proc_provincia=$row1["proc_provincia"];
                        $proc_canton=$row1["proc_canton"];
                    }
                }else{
                    $pais_codigo = 'NA';
                    $proc_provincia = "NA";
                    $proc_canton = "NA";
                }
                $residencia = $exportar->ConsultarResidencia($row["personadbk"]);
                if (is_array($residencia) == true and count($residencia) > 0) {
                    foreach ($residencia as $row1) {                        
                        $res_pais=$row1["res_pais"];
                        $res_provincia=$row1["res_provincia"];
                        $res_canton=$row1["res_canton"];
                    }
                }else{
                    $res_pais = 'NA';
                    $res_provincia = 'NA';
                    $res_canton = 'NA';
                }
                $academico = $exportar->ConsultarAcademico($row["personadbk"]);
                if (is_array($academico) == true and count($academico) > 0) {
                    foreach ($academico as $row1) {                        
                        $tipoColegioId=$row1["tipoColegioId"];
                    }
                }else{
                    $tipoColegioId = 'NA';
                }
                $inicioCarrera = $exportar->ConsultarInicioCarrera($row["personadbk"]);
                if (is_array($inicioCarrera) == true and count($inicioCarrera) > 0) {
                    foreach ($inicioCarrera as $row1) {                        
                        $fechaInicioCarrera=$row1["fecha"];
                    }
                }else{
                    $fechaInicioCarrera = '0000-00-00';
                }                                
                $matricula = $exportar->ConsultarMatricula($row["personadbk"],$row["matriculadbk"]);
                if (is_array($matricula) == true and count($matricula) > 0) {
                    foreach ($matricula as $row1) {                        
                        $fechaMatricula=$row1["fecha"];
                    }
                }else{
                    $fechaMatricula = '0000-00-00';
                }   
                $nivel = $exportar->ConsultarNivelAcademicoQueCursa($row["personadbk"],$row["matriculadbk"]);
                if (is_array($nivel) == true and count($nivel) > 0) {
                    foreach ($nivel as $row1) {                        
                        $nivelAcademicoQueCursa=$row1["nivel"];
                    }
                }else{
                    $nivelAcademicoQueCursa = 'NA';
                }    
                $repetidoAlMenosUna=0;
                $repetido = $exportar->ConsultarHaRepetidoAlMenosUnaMateria($row["personadbk"],$row["matriculadbk"]);
                if (is_array($repetido) == true and count($repetido) > 0) {
                    foreach ($repetido as $row1) {                        
                        $repetidoMateria=$row1["cantidad"];
                        if($repetidoMateria == 1){
                            $repetidoAlMenosUna = 2;
                        }else{
                            $repetidoAlMenosUna = 1;
                        }
                    }
                }else{
                    $repetidoMateria = 'NA';
                }     
                fputcsv($salida, array(
                    $row["tipoDocumentoId"], $row["identificacion"], $row["papellido"], $row["sapellido"],
                    $row["pnombre"], $row["snombre"], $row["sexoId"], $row["generoId"], $row["estadocivilId"], $row["etniaId"],
                    $row["puebloNacionalidadId"], $row["tipoSangre"], $row["discapacidad"], $row["porcentajeDiscapacidad"],
                    $row["numCarnetConadis"], $row["tipoDiscapacidad"], $row["fechaNacimiento"],$pais_codigo,$proc_provincia,
                    $proc_canton,$res_pais,$res_provincia,$res_canton,$tipoColegioId,$fechaInicioCarrera,$fechaMatricula,
                    $nivelAcademicoQueCursa,$repetidoAlMenosUna,1,$row["emailInstitucional"],$row["numcel"]
                ));                               
            }
        }
        break;
}
?>

